import request from '@/utils/request'

// 查询船只管理列表
export function listSysShip (query) {
  return request({
    url: '/system/sysShip/list',
    method: 'get',
    params: query
  })
}

// 查询全部船只列表
export function listAllSysShip (query) {
  return request({
    url: '/system/sysShip/listAll',
    method: 'get',
    params: query
  })
}

// 查询船只管理详细
export function getSysShip (id) {
  return request({
    url: '/system/sysShip/' + id,
    method: 'get'
  })
}

// 新增船只管理
export function addSysShip (data) {
  return request({
    url: '/system/sysShip',
    method: 'post',
    data: data
  })
}

// 修改船只管理
export function updateSysShip (data) {
  return request({
    url: '/system/sysShip',
    method: 'put',
    data: data
  })
}

// 删除船只管理
export function delSysShip (id) {
  return request({
    url: '/system/sysShip/' + id,
    method: 'delete'
  })
}

// 导出船只管理
export function exportSysShip (query) {
  return request({
    url: '/system/sysShip/export',
    method: 'get',
    params: query
  })
}

// 获取初始化数据
export function getInitData (dictTypes) {
  return request({
    url: '/system/sysShip/getInitData/' + dictTypes,
    method: 'get'
  })
}
